Debian Bug report logs - #679240
live-build: lb_chroot_hacks tries to install unavailable package smbfs

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Gerben van Ek <germ.van.eck@gmail.com>

Date: Wed, 27 Jun 2012 11:39:42 UTC

Severity: important

Found in version live-build/3.0~a50-1

Fixed in version live-build/3.0~a51-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#679240; Package live-build. (Wed, 27 Jun 2012 11:39:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerben van Ek <germ.van.eck@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 27 Jun 2012 11:39:45 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gerben van Ek <germ.van.eck@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: lb_chroot_hacks tries to install unavailable package smbfs
Date: Wed, 27 Jun 2012 12:46:06 +0200
Package: live-build
Version: 3.0~a50-1
Severity: grave
Justification: renders package unusable

Dear Maintainer,

I tried to make a new build of a Debian Live image. It fails on trying to install the smbfs package, which is no longer available in Wheezy.
The error is on line 145 of /usr/share/live/build/scripts/build/lb_chroot_hacks

-- Package-specific info:

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap  1.0.41

Versions of packages live-build recommends:
ii  cpio                           2.11-7
ii  gnu-fdisk                      1.2.4-3.1
ii  live-boot-doc                  3.0~a25-1
ii  live-config-doc                3.0~a35-1
ii  live-manual-pdf [live-manual]  1:3.0~a11-1

Versions of packages live-build suggests:
ii  dosfstools                  3.0.12-1
ii  fakeroot                    1.18.3-1
ii  genisoimage                 9:1.1.11-2
pn  memtest86+ | memtest86      <none>
ii  mtools                      4.0.12-1
pn  parted                      <none>
pn  squashfs-tools | mtd-tools  <none>
ii  sudo                        1.8.3p2-1
pn  syslinux | grub             <none>
ii  uuid-runtime                2.20.1-4
pn  win32-loader                <none>

-- no debconf information




Severity set to 'important' from 'grave' Request was from Ben Armstrong <synrg@sanctuary.nslug.ns.ca> to control@bugs.debian.org. (Wed, 27 Jun 2012 12:34:53 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Wed, 27 Jun 2012 13:07:22 GMT) Full text and rfc822 format available.

Notification sent to Gerben van Ek <germ.van.eck@gmail.com>:
Bug acknowledged by developer. (Wed, 27 Jun 2012 13:07:33 GMT) Full text and rfc822 format available.

Message #12 received at 679240-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 679240-close@bugs.debian.org
Subject: Bug#679240: fixed in live-build 3.0~a51-1
Date: Wed, 27 Jun 2012 13:04:15 +0000
Source: live-build
Source-Version: 3.0~a51-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a51-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a51-1_all.deb
live-build-cron_3.0~a51-1_all.deb
  to main/l/live-build/live-build-cron_3.0~a51-1_all.deb
live-build_3.0~a51-1.debian.tar.xz
  to main/l/live-build/live-build_3.0~a51-1.debian.tar.xz
live-build_3.0~a51-1.dsc
  to main/l/live-build/live-build_3.0~a51-1.dsc
live-build_3.0~a51-1_all.deb
  to main/l/live-build/live-build_3.0~a51-1_all.deb
live-build_3.0~a51.orig.tar.xz
  to main/l/live-build/live-build_3.0~a51.orig.tar.xz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 679240@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 27 Jun 2012 14:38:21 +0200
Source: live-build
Binary: live-build live-build-cgi live-build-cron
Architecture: source all
Version: 3.0~a51-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System build scripts
 live-build-cgi - Debian Live - System build scripts (CGI frontend)
 live-build-cron - Debian Live - System build scripts (cron autobuilder)
Closes: 676102 679240
Changes: 
 live-build (3.0~a51-1) unstable; urgency=low
 .
   * For consistency, respecting config/environment too for both chroot
     and binary environments (but the content of sepcific environments
     for either chroot or binary still has precedence over the generic
     one).
   * Changing default binary.list filename to binary.contents to make it
     more explicit and not to be confused with package lists.
   * Automatically include intel-microcode when building with firmware
     and non-free enabled.
   * Redirecting rmdir output in postrm for live-build-cron properly
     (Closes: #676102).
   * Removing alpha and hppa stub support, both architectures have been
     dropped for wheezy in debian.
   * Switching from smbfs to cifs-utils (Closes: #679240).
   * Switching to xz compression in source and binary packages.
Checksums-Sha1: 
 679eb2aacc6e651727fa56a08e98269aea840513 1381 live-build_3.0~a51-1.dsc
 e2f6e03ec67a7aa300d72dce007cc867f2e2e28c 955240 live-build_3.0~a51.orig.tar.xz
 ed3e7190ead26d54e9c5fa45c08e8cfe75bd21e1 57288 live-build_3.0~a51-1.debian.tar.xz
 78f4c9d009c90401a48a50d83b0de1b91f918c4d 1022282 live-build_3.0~a51-1_all.deb
 1f9e3a1d31a15fdd7a27542e90f3432810eb4053 67848 live-build-cgi_3.0~a51-1_all.deb
 310231b1a53ce0502f9aa1e43cc7bef68a60a219 75748 live-build-cron_3.0~a51-1_all.deb
Checksums-Sha256: 
 71ca8f9a5f0da745bf35727e6e82782ee0abbd57d7fccb87474963e3a06d9ce1 1381 live-build_3.0~a51-1.dsc
 2a6db501807ea3bde353dd1d65053ac60427831060708ba535c5377db405a2ab 955240 live-build_3.0~a51.orig.tar.xz
 27626be817beb67c589898c3f1e503a8f2466e05eca00e4748418684d39a3980 57288 live-build_3.0~a51-1.debian.tar.xz
 22661dba9e8ed283510db42c586fb70ea73d259ceffb59307f8dfb0279abe2bc 1022282 live-build_3.0~a51-1_all.deb
 93b1845195a505f75fbacc9081aeb01666b4a83034d65db9df4f69ba8c4c00e8 67848 live-build-cgi_3.0~a51-1_all.deb
 81e059214842150dba9efbff68dae2ab78f4f78e26936a2ed6725be125a746c0 75748 live-build-cron_3.0~a51-1_all.deb
Files: 
 35957673ee2062c1c3eb99589200307c 1381 misc optional live-build_3.0~a51-1.dsc
 8d5e0adf030dde6f06b2bb5b1387e717 955240 misc optional live-build_3.0~a51.orig.tar.xz
 26a5b700e41d50886fcce80bb3fd3ed2 57288 misc optional live-build_3.0~a51-1.debian.tar.xz
 29b0035217134c8777d1821b803d3959 1022282 misc optional live-build_3.0~a51-1_all.deb
 42b70b6fffa6a207a40a1c6d1002bf4f 67848 misc optional live-build-cgi_3.0~a51-1_all.deb
 962483e8a7bd907de0dbb5ffdf97229a 75748 misc optional live-build-cron_3.0~a51-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk/rAV4ACgkQ+C5cwEsrK57MYgCfTaJDT8Ezh/c86uAYeIfE/th3
TV8AoLx1tTFT7RhNom9Oi4M5MrfC0eg/
=qt7a
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#679240; Package live-build. (Wed, 27 Jun 2012 13:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 27 Jun 2012 13:33:06 GMT) Full text and rfc822 format available.

Message #17 received at 679240@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: Gerben van Ek <germ.van.eck@gmail.com>, 679240@bugs.debian.org
Subject: Re: Bug#679240: live-build: lb_chroot_hacks tries to install unavailable package smbfs
Date: Wed, 27 Jun 2012 08:59:48 -0300
Gerben,

On 06/27/2012 07:46 AM, Gerben van Ek wrote:
> Package: live-build
> Version: 3.0~a50-1
> Severity: grave
> Justification: renders package unusable
> 
> Dear Maintainer,
> 
> I tried to make a new build of a Debian Live image. It fails on trying to install the smbfs package, which is no longer available in Wheezy.
> The error is on line 145 of /usr/share/live/build/scripts/build/lb_chroot_hacks

First of all, thanks for reporting this. You've hit a bug that most people would not hit because it
only affects 'net' image types, so your report is valuable. By the same token, it does not justify
'grave' severity.

http://www.debian.org/Bugs/Developer#severities

grave
    makes the package in question unusable or mostly so, or causes data loss, or introduces a
security hole allowing access to the accounts of users who use the package.
...
important
    a bug which has a major effect on the usability of a package, without rendering it completely
unusable to everyone.

The bug falls in the latter category, not the former.

To help improve the quality of your bug reports in future, please also read:

  http://live.debian.net/manual-3.x/html/live-manual/bugs.en.html

and in particular:

  http://live.debian.net/manual-3.x/html/live-manual/bugs.en.html#620

Rebuilding a base image with no customizations is a valuable debugging tool to help set the priority
of your bug at the time you file it, as it will tell you quickly if it makes live-build "unusable or
mostly so" or is something specific to your configuration.

Thanks again for your report,
Ben





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 Aug 2012 07:29:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:24:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.